- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
det
Complete List of ArrayFire Functions ArrayFire Functions by Category » Linear Algebra » | Matrix operations

Find the determinant of the input matrix. More...

## Functions
template<typename T >
T | det (const array &in)
| C++ Interface for finding the determinant of a matrix. More...
AFAPI af_err | af_det (double *det_real, double *det_imag, const af_array in)
| C Interface for finding the determinant of a matrix. More...

## Detailed Description

Find the determinant of the input matrix.

Note
  This function requires scratch space equal to the input array

## Function Documentation

AFAPI af_err af_det | ( | double * | det_real,
|  | double * | det_imag,
|  | const af_array | in
| ) |  |

C Interface for finding the determinant of a matrix.

Parameters

  [out] | det_real | will contain the real part of the determinant of `in`
  [out] | det_imag | will contain the imaginary part of the determinant of `in`
  [in] | in | is input matrix

T af::det | ( | const array & | in | ) |

C++ Interface for finding the determinant of a matrix.

Parameters

  [in] | in | is input matrix

Returns
  the determinant of the matrix